public class Player extends Entity {
  public int hp;
  public int shootTime = 0;
  public int hurtTime = 0;

  public Player(float x, float y) {
    this.x = x;
    this.y = y;
    hp = 10;
    speed = 0.5;
    fric = 0.85;
    size = 17;
    tex = 0;
  }

  public void update() {
    if (shootTime > 0) shootTime--;
    if (hurtTime > 0) {
      tint(255, 0, 0);
      hurtTime--;
    } else {
      noTint();
    }
    if (keys[0]) {
      xa-=speed;
    }
    if (keys[1]) {
      xa+=speed;
    }
    if (keys[4]) {
      shoot();
    }
    if (!inWindow()) {
      x = min(max(x, -size), width/SCALE);
    }
    super.update();
  }

  public void collide(Entity entity) {
  }

  protected void shoot() {
    if (shootTime == 0) {
      sounds[0].trigger();
      shootTime = 15;
      entities.add(new Bullet(this, x+size/2-2, y, xa/4, -2.5, 1));
    }
  }

  public void damage(int dmg) {
    if (hurtTime == 0) {
      sounds[1].trigger();
      hurtTime = 15;
      hp = max(hp-dmg, 0);
      if (hp <= 0) {
        gameOver = true;
        sounds[4].trigger();
      }
    }
  }
}

