public class EnemyEntity extends Entity {
  public int hp;
  public float dir;
  public int shootTime = 0;
  public int hurtTime = 0;
  
  public EnemyEntity(float x, float y) {
    this.x = x;
    this.y = y;
    ya = 8;
    speed = 0.85;
    tex = 1;
    fric = 0.85;
    hp = 3;
    size = 17;
  }
  
  public void update() {
    if(shootTime > 0) shootTime--;
    if(hurtTime > 0) {
      tint(255,0,0);
      hurtTime--;
    } else {
      noTint();
    }
    if(xa == 0) {
      xa = (random(9)-4)*speed;
    }
    if(ya == 0) {
      ya = (random(5)-2)*speed;
    }
    if(!inWindow()) {
      xa = -xa;
      ya = -ya;
    }
    super.update();
    Player p = (Player)entities.get(0);
    if(((p.x > x && p.x < x+size) || (p.x+p.size > x && p.x+p.size < x+size)) && gameOver == false ) shoot();
  }
  
  public void shoot() {
    if(shootTime == 0) {
      sounds[2].trigger();
      shootTime = int(random(25)+50);
      entities.add(new Bullet(this, x, y, 0, 3, 1));
    }
  }
  
  public void collide(Entity entity) {
    if(entity instanceof EnemyEntity) {
      xa = -xa;
      x+=xa;
      ya = -ya;
      y+=ya;
    }
  }
  
  public void damage(int dmg) {
    if(hurtTime == 0) {
      sounds[3].trigger();
      hurtTime = 15;
      hp -= dmg;
      if(hp <= 0) removed = true;
    }
  }
}
